Package org.apache.lucene.misc.util.fst

## Class UpToTwoPositiveIntOutputs.TwoLongs

- java.lang.Object
- - org.apache.lucene.misc.util.fst.UpToTwoPositiveIntOutputs.TwoLongs

- Enclosing class:
    UpToTwoPositiveIntOutputs

      public static final class UpToTwoPositiveIntOutputs.TwoLongs
      extends Object

  Holds two long outputs.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `first` |
    `long` | `second` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TwoLongs​(long first, long second)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object _other)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### first

          public final long first

    - #### second

          public final long second

  - ### Constructor Detail

    - #### TwoLongs

          public TwoLongs​(long first,
                          long second)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object _other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`